Package org.apache.solr.cluster.api

## Interface HashRange

    @Deprecated
    public interface HashRange

Deprecated.
A range of hash that is stored in a shard

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
`default boolean` `includes​(int hash)` Deprecated. Check if a given hash falls in this range
`default boolean` `isSubset​(HashRange subset)` Deprecated. Check if another range is a subset of this range
`int` `max()` Deprecated. maximum value (inclusive)
`int` `min()` Deprecated. minimum value (inclusive)

### Method Detail

#### min

    int min()

Deprecated.
minimum value (inclusive)

#### max

    int max()

Deprecated.
maximum value (inclusive)

#### includes

    default boolean includes​(int hash)

Deprecated.
Check if a given hash falls in this range

#### isSubset

    default boolean isSubset​(HashRange subset)

Deprecated.
Check if another range is a subset of this range